on CharCodeLister
  set n to the castNum of sprite 15
  if n = 21 then
    set n to the castNum of sprite 17
  end if
  repeat with X = 1 to the number of chars in field n
    put "Char " & X & " = " & char X of field n & "  (" & charToNum(char X of field n) & ")"
  end repeat
end

on TabCleaner
  repeat with n = 101 to 990
    repeat with X = 1 to the number of chars in field n
      if charToNum(char X of field n) = 9 then
        put "  " into char X of field n
      end if
    end repeat
  end repeat
end

on dashCleaner
  repeat with n = 101 to 990
    repeat with X = 1 to the number of chars in field n
      if charToNum(char X of field n) = 209 then
        put "-" into char X of field n
      end if
    end repeat
  end repeat
end

on textAdjustUtil
  repeat with X = 1 to 9
    set the textSize of field X to 9
    set the foreColor of field X to 255
  end repeat
end

on makeTextScript
  repeat with X = 101 to 109
    set the scriptText of cast X to the text of cast 30
  end repeat
end

on LinkTest
  put word the mouseWord of field the mouseCast
  put the foreColor of word the mouseWord of field the mouseCast
end

on puppetOff
  repeat with X = 3 to 8
    puppetSprite(X, 0)
  end repeat
end

on fofo
  if line 1 of field 102 = line 1 of field 103 then
    beep(3)
  end if
end

on getPixList
  repeat with X = 1 to 6
    repeat with y = 1 to the number of lines in field X
      put word 4 to the number of words in line y of field X of line y of field X & RETURN after field 40
    end repeat
    put "__________________" & RETURN after field 40
  end repeat
end

on ReadIt
  global hotColor
  repeat with q = 1 to 20
    put EMPTY into field q
  end repeat
  set subsectNum to 0
  set pageNum to 0
  set SubCodesName to EMPTY
  set SubPixCastNum to EMPTY
  set SubPixName to EMPTY
  set TextBoxNum to EMPTY
  set theObj to FileIO(mnew, "?read", "TEXT")
  set thisLine to theObj(mReadLine)
  set LineCount to word 1 of thisLine
  repeat with X = 2 to LineCount
    set thisLine to theObj(mReadLine)
    if char 1 of thisLine = "_" then
      next repeat
    end if
    if char 1 of thisLine = "<" then
      if char 2 to 17 of thisLine = "subsection name=" then
        set subsectNum to 1 + subsectNum
        set SubCodesName to "Sub" & subsectNum & "Codes"
        set the name of cast subsectNum to SubCodesName
        set SubPixName to "Sub" & subsectNum & "PixCredits"
        set the name of cast (subsectNum + 10) to SubPixName
      else
        if char 2 to 11 of thisLine = "page name=" then
          set pageNum to char 17 to 18 of thisLine
          set pageNum to integer(pageNum)
          set buildAline to char 17 to 18 of thisLine & " "
          put char 34 to 39 of thisLine & " " after buildAline
          put char 51 of thisLine & " " after buildAline
          put char 63 to the number of chars in thisLine of thisLine after buildAline
          repeat with u = 1 to 3
            delete char the number of chars in buildAline of buildAline
          end repeat
          put buildAline into line pageNum of field subsectNum
        else
          if char 2 to 10 of thisLine = "pixcredit" then
            set thisLine to theObj(mReadLine)
            set X to X + 1
            put thisLine into line pageNum of field (subsectNum + 10)
          else
            next repeat
          end if
        end if
      end if
      next repeat
    end if
    set TextBoxNum to (100 * subsectNum) + pageNum
    if the castType of cast TextBoxNum <> #text then
      if word 3 of line pageNum of field subsectNum = 1 then
        copyToClipBoard(cast 24)
      else
        copyToClipBoard(cast 21)
      end if
      pasteClipBoardInto(cast TextBoxNum)
      set the scriptText of cast TextBoxNum to the text of cast 29
    end if
    put thisLine after field TextBoxNum
    set the foreColor of cast TextBoxNum to 24
    set the textFont of field TextBoxNum to "Geneva"
    set the textSize of field TextBoxNum to 10
    set the textHeight of field TextBoxNum to 16
    set LinkstartCode to offset("<link", field TextBoxNum)
    repeat while LinkstartCode > 0
      set LinkendCode to offset("</link>", field TextBoxNum)
      set the foreColor of char LinkstartCode to LinkendCode of field TextBoxNum to hotColor
      delete char LinkendCode to LinkendCode + 6 of field TextBoxNum
      delete char LinkstartCode to LinkstartCode + 5 of field TextBoxNum
      set LinkstartCode to offset("<link", field TextBoxNum)
    end repeat
  end repeat
  theObj(mdispose)
  repeat with X = 1 to 20
    set the textSize of field X to 9
    set the textStyle of field X to "plain"
  end repeat
end
